GETPID(2)

NAME
getpid, getppid - get process identification

SYNOPSIS
#include <sys/types.h>
#include <unistd.h>

pid_t getpid(void);
pid_t getppid(void);

DESCRIPTION
getpid returns the process ID of the current process. (This is often used by routines that generate unique temporary file names.) getppid returns the process ID of the parent of the current process.

CONFORMING TO
POSIX, BSD 4.3, SVID

SEE ALSO
exec(3), fork(2), kill(2), mkstemp(3), tmpnam(3), tempnam(3), tmpfile(3)